Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 7606

Summary: upgrade to 6.0 installs sendmail
Product: [Retired] Red Hat Linux Reporter: Tim Pepper <rhn>
Component: installerAssignee: Matt Wilson <msw>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-22 18:37:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tim Pepper 1999-12-05 20:32:03 UTC
I don't use sendmail.  If I use the upgrade option on the RH6.0 cd to
upgrade my older redhat installations, the installer appears to have no
option to not install sendmail.  This means I have to upgrade, uninstall
sendmail, and fix my qmail installation as sendmail's installation causes a
few little problems with it.  It would be really nice if the redhat
installer had the option of leaving other mail daemons in place and not
installing sendmail for those of us who use qmail and other non-sendmail
mail daemons.

Comment 1 Cristian Gafton 2000-02-04 02:30:59 UTC
Is sendmail in the base component thesedays?

Comment 2 Tim Pepper 2000-02-04 17:14:59 UTC
I don't know if it's a "base component" or not...it just seems to always install
no matter what.  Sendmail doesn't appear in the list of packages that I can
choose to install or not install, although I believe its config files are
listed there and I don't install them.  Nevertheless sendmail installs.  Is that
what a "base component" is...something that is always installed regardless of
setup options?

Comment 3 Jay Turner 2000-02-22 18:37:59 UTC
Sendmail is indeed in the base package and therefore will get installed no
matter what.  I have added your request to control whether sendmail gets
installed to a list of feature requests.